/*
 *  RawAddable - a simple implementation of Addable
 *  Copyright (C) 2000  James Thrasher
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *
 *  email: jjt@gjt.org
 */

package org.gjt.jjt.pdbfile;

//import org.gjt.jjt.*;

/**
 * This implements Addable in a very basic manner, just to let
 * the programmer avoid nitty-gritty details.
 *
 * @author Earl Brown <TheGleep@bigfoot.com>
 * @version $Revision: 1.1.1.1 $
 */

public class RawAddable implements Addable {

    byte abContent[] = null;
    byte bAttr = 0;

    /**
     * RawAddable constructor comment.
     */
    public RawAddable() {
        super();
    }

    /**
     * Get the attributes for this Addable.
     *
     * @return The bitfield (1 byte) of this Addable's attributes.
     */
    public byte getAttributes() {
        return this.bAttr;
    }

    /**
     * Get the binary data of this Addable.
     *
     * @return An array representing the binary form of this Addable.
     */
    public byte[] getBytes() {
        return this.abContent;
    }

    /**
     * ?
     */
    void newMethod() {
    }

    /**
     * Set the attributes of this Addable.
     *
     * @param attr The bitfield to set.
     */
    public void setAttributes(byte attr) {
        this.bAttr = attr;
    }

    /**
     * Set the data for this Addable.
     *
     * @param abContent The data to set.
     */
    public void setBytes(byte[] abContent) {
        this.abContent = abContent;
    }

    /**
     * Return the size of this Addable.
     *
     * @return the size
     */
    public int size() {
        return abContent.length;
    }

    public static RawAddable newInstance() {
        return new RawAddable();
    }
}
