/**
 *     Caption: Zaval Advanced TV Parser
 *     $Revision: 1.1.1.1 $
 *     $Date: 2003/09/10 13:00:58 $
 *
 *     @author:     Alex Buloichik
 *     @version:    1.0
 *
 * The Zaval Advanced TV Parser (also known as ATV-Parser) is a part of the
 * Zaval Advanced TV Guide package that allows to download/view/convert
 * programs listings.
 *
 * For more info on this product read Zaval Advanced TV Guide User's Guide
 * (It comes within this package).
 * The latest product version is always available from the product's homepage:
 * http://www.zaval.org/products/atv/
 * and from the SourceForge:
 * http://sourceforge.net/projects/atv/
 *
 * Contacts:
 *   Support : support@zaval.org
 *   Change Requests : change-request@zaval.org
 *   Feedback : feedback@zaval.org
 *   Other : info@zaval.org
 *
 * Copyright (C) 2001-2002  Zaval Creative Engineering Group (http://www.zaval.org)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * (version 2) as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

package org.zaval.atv;

import java.util.*;
import java.io.*;

import org.zaval.util.io.*;

public class ParseAllChannels extends AllChannels {
    transient short deflen;

    public ParseAllChannels() {
        super();
        deflen = 60;
    }

    public void setProperties(AProperties p) {
        super.setProperties(p);
        deflen = (short) Integer.parseInt(p.getProperty("list.defaultlength", "60"));
    }

/*    public void mergeto(AllChannels ac) {
        OneChannel cp;
        boolean todelete,ao;
        for (int i=0; i<size(); i++) {
            cp=elementAt(i);
            todelete=false;
            if (Pexclude.contains(cp.ChannelName)) todelete=true;
            if (Pinclude.size()>0)
                if (!Pinclude.contains(cp.ChannelName)) todelete=true;
            if (todelete) {
                removeElementAt(i);
                i--;
                continue;
            }
        }

        if (ov==null)
            ao=false;
        else
            ao=ov.equals("yes");
        ac.merge(this,ao);
    }*/
    public void organize() { // erase clean channels
        ParseOneChannel cp;
        OneSite s;
        super.organize();
        for (int i = 0; i < size(); i++) {
            s = elementAt(i);
            for (int j = 0; j < s.size(); j++) {
                cp = (ParseOneChannel) s.elementAt(j);
                cp.sort24();
                cp.calcEndTime(deflen);
            }
        }
    }
}
